"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapConcurrently = void 0;
const p_limit_1 = __importDefault(require("p-limit"));
function mapConcurrently(concurrency, fn, list) {
    const limit = p_limit_1.default(concurrency);
    return Promise.all(list.map(item => limit(() => fn(item))));
}
exports.mapConcurrently = mapConcurrently;
//# sourceMappingURL=map-concurrently.js.map